BLK_QUEUE_LOGICAL_BL(9)

NAME
blk_queue_logical_block_size - set logical block size for the queue

SYNOPSIS

void blk_queue_logical_block_size(struct request_queue * q, unsigned short size);

ARGUMENTS

q
    the request queue for the device

size
    the logical block size, in bytes

DESCRIPTION

This should be set to the lowest possible block size that the storage device can address. The default of 512 covers most hardware.

COPYRIGHT